.. _cli:

Command-line Interface
======================

Most people will use *HyperShell* as a command-line utility.
Everything shown here is available on Linux and macOS as a *manual page*.
See our :ref:`Python API <library>` for use as a library.
See our :ref:`tutorials <tutorial_basic>` (COMING SOON) for use-case specific demonstrations.

The ``hsx`` program is short-hand for ``hs cluster``.

Subcommands
-----------


.. toctree::
    :maxdepth: 1

    cluster <cluster>
    server <server>
    client <client>
    submit <submit>
    initdb <initdb>
    info <task_info>
    wait <task_wait>
    run <task_run>
    list <task_search>
    update <task_update>
    config <config>
    config get <config_get>
    config set <config_set>
    config edit <config_edit>
    config which <config_which>
